> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withorb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate multiple prices

> This endpoint is used to evaluate the output of price(s) for a given customer and time range over ingested events.
It enables filtering and grouping the output using
[computed properties](/extensibility/advanced-metrics#computed-properties),
supporting the following workflows:

1. Showing detailed usage and costs to the end customer.
2. Auditing subtotals on invoice line items.

For these workflows, the expressiveness of computed properties in both the filters and grouping is critical.
For example, if you'd like to show your customer their usage grouped by hour and another property, you can
do so with the following `grouping_keys`:
`["hour_floor_timestamp_millis(timestamp_millis)", "my_property"]`.
If you'd like to examine a customer's usage for a specific property value, you can do so with the following `filter`:
`my_property = 'foo' AND my_other_property = 'bar'`.

Prices may either reference existing prices in your Orb account or be defined inline in the request body. Up to
100 prices can be evaluated in a single request.

Prices are evaluated on ingested events and the start of the time range must be no more than 100 days ago. To evaluate
based off a set of provided events, the [evaluate preview events](/api-reference/price/evaluate-preview-events) endpoint
can be used instead.

Note that this is a POST endpoint rather than a GET endpoint because it employs a JSON body rather than query parameters.



## OpenAPI

````yaml /api-reference/orb-openapi.json post /prices/evaluate
openapi: 3.1.0
info:
  title: API Reference
  description: >-
    Orb's API is built with the following principles in mind:


    1. **Predictable developer experience**: Where applicable, the Orb API uses
    industry-standard patterns such as

    cursor-based pagination and standardized error output. To help with
    debugging in critical API

    actions, the API always strives to provide detailed and actionable error
    messages. Aliases

    such as external customer IDs aid in fast integration times.

    2. **Reliably real time**: Orb's event-based APIs, such as event ingestion
    are designed to handle extremely high

    throughput and scale with concurrent load. Orb also provides a real-time
    event-level credits

    ledger and a highly performant webhooks architecture.

    3. **Flexibility at the forefront**: Features like timezone localization and
    the ability to amend historical usage

    show the flexible nature of the platform.


    You can download the latest OpenAPI spec
    [here](https://api.withorb.com/spec.json) - pass `?version=3.0` for an

    OpenAPI 3.0-compatible spec.
  contact:
    name: Orb, Inc.
    url: https://www.withorb.com/
    email: team@withorb.com
  version: '1.0'
servers:
  - url: https://api.withorb.com/v1
    description: Production server
security:
  - APIKeyAuth: []
tags:
  - name: Alert
    description: >-
      [Alerts within Orb](/product-catalog/configuring-alerts) monitor spending,

      usage, or credit balance and trigger webhooks when a threshold is
      exceeded.


      Alerts created through the API can be scoped to either customers or
      subscriptions.
  - name: Availability
  - name: Coupon
    description: >-
      A coupon represents a reusable discount configuration that can be applied
      either as a fixed or percentage amount to an invoice or subscription.
      Coupons are activated using a redemption code, which applies the discount
      to a subscription or invoice. The duration of a coupon determines how long
      it remains available for use by end users.
  - name: Credit
    description: >-
      The [Credit Ledger Entry resource](/product-catalog/prepurchase) models
      prepaid credits within Orb.
  - name: Credit note
    description: >-
      The [Credit Note](/invoicing/credit-notes) resource represents a credit
      that has been applied to a

      particular invoice.
  - name: Customer
    description: >-
      A customer is a buyer of your products, and the other party to the billing
      relationship.


      In Orb, customers are assigned system generated identifiers automatically,
      but it's often desirable to have these

      match existing identifiers in your system. To avoid having to denormalize
      Orb ID information, you can pass in an

      `external_customer_id` with your own identifier. See

      [Customer ID Aliases](/events-and-metrics/customer-aliases) for further
      information about how these

      aliases work in Orb.


      In addition to having an identifier in your system, a customer may exist
      in a payment provider solution like

      Stripe. Use the `payment_provider_id` and the `payment_provider` enum
      field to express this mapping.


      A customer also has a timezone (from the standard [IANA timezone
      database](https://www.iana.org/time-zones)), which

      defaults to your account's timezone. See [Timezone
      localization](/essentials/timezones) for

      information on what this timezone parameter influences within Orb.
  - name: Dimensional Price Group
  - name: Event
    description: >-
      The [Event](/core-concepts#event) resource represents a usage event that
      has been created for a

      customer. Events are the core of Orb's usage-based billing model, and are
      used to calculate the usage charges for

      a given billing period.
  - name: Invoice
    description: >-
      An [`Invoice`](/core-concepts#invoice) is a fundamental billing entity,
      representing the request for payment for

      a single subscription. This includes a set of line items, which correspond
      to prices in the subscription's plan and

      can represent fixed recurring fees or usage-based fees. They are generated
      at the end of a billing period, or as

      the result of an action, such as a cancellation.
  - name: Item
    description: >-
      The Item resource represents a sellable product or good. Items are
      associated with all line items, billable metrics,

      and prices and are used for defining external sync behavior for invoices
      and tax calculation purposes.
  - name: License
  - name: LicenseType
    description: >-
      The LicenseType resource represents a type of license that can be assigned
      to users.

      License types are used during billing by grouping metrics on the
      configured grouping key.
  - name: Metric
    description: >-
      The Metric resource represents a calculation of a quantity based on
      events.

      Metrics are defined by the query that transforms raw usage events into
      meaningful values for your customers.
  - name: Plan
    description: >-
      The [Plan](/core-concepts#plan-and-price) resource represents a plan that
      can be subscribed to by a

      customer. Plans define the billing behavior of the subscription. You can
      see more about how to configure prices

      in the [Price resource](/reference/price).
  - name: Price
    description: >-
      The Price resource represents a price that can be billed on a
      subscription, resulting in a charge on an invoice in

      the form of an invoice line item. Prices take a quantity and determine an
      amount to bill.


      Orb supports a few different pricing models out of the box. Each of these
      models is serialized differently in a

      given Price object. The model_type field determines the key for the
      configuration object that is present.


      For more on the types of prices, see [the core concepts
      documentation](/core-concepts#plan-and-price)
  - name: Price interval
    description: >-
      The Price Interval resource represents a period of time for which a price
      will bill on a subscription. A

      subscription’s price intervals define its billing behavior.
  - name: Subscription
    description: >-
      A [subscription](/core-concepts#subscription) represents the purchase of a
      plan by a customer.


      By default, subscriptions begin on the day that they're created and renew
      automatically for each billing cycle at

      the cadence that's configured in the plan definition.


      Subscriptions also default to **beginning of month alignment**, which
      means the first invoice issued for the

      subscription will have pro-rated charges between the `start_date` and the
      first of the following month. Subsequent

      billing periods will always start and end on a month boundary (e.g.
      subsequent month starts for monthly billing).


      Depending on the plan configuration, any _flat_ recurring fees will be
      billed either at the beginning (in-advance)

      or end (in-arrears) of each billing cycle. Plans default to **in-advance
      billing**. Usage-based fees are billed in

      arrears as usage is accumulated. In the normal course of events, you can
      expect an invoice to contain usage-based

      charges for the previous period, and a recurring fee for the following
      period.
  - name: Subscription Change
paths:
  /prices/evaluate:
    post:
      tags:
        - Price
      summary: Evaluate multiple prices
      description: >-
        This endpoint is used to evaluate the output of price(s) for a given
        customer and time range over ingested events.

        It enables filtering and grouping the output using

        [computed
        properties](/extensibility/advanced-metrics#computed-properties),

        supporting the following workflows:


        1. Showing detailed usage and costs to the end customer.

        2. Auditing subtotals on invoice line items.


        For these workflows, the expressiveness of computed properties in both
        the filters and grouping is critical.

        For example, if you'd like to show your customer their usage grouped by
        hour and another property, you can

        do so with the following `grouping_keys`:

        `["hour_floor_timestamp_millis(timestamp_millis)", "my_property"]`.

        If you'd like to examine a customer's usage for a specific property
        value, you can do so with the following `filter`:

        `my_property = 'foo' AND my_other_property = 'bar'`.


        Prices may either reference existing prices in your Orb account or be
        defined inline in the request body. Up to

        100 prices can be evaluated in a single request.


        Prices are evaluated on ingested events and the start of the time range
        must be no more than 100 days ago. To evaluate

        based off a set of provided events, the [evaluate preview
        events](/api-reference/price/evaluate-preview-events) endpoint

        can be used instead.


        Note that this is a POST endpoint rather than a GET endpoint because it
        employs a JSON body rather than query parameters.
      operationId: evaluate-multiple-prices
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluateMultiplePricesBody'
        required: true
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluateMultiplePriceResource'
        '400':
          description: Bad Request
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '401':
          description: Unauthorized
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401Error'
        '404':
          description: Not Found
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
        '409':
          description: Conflict
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/409Error'
        '413':
          description: Content Too Large
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/413Error'
        '429':
          description: Too Many Requests
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/429Error'
        '500':
          description: Internal Server Error
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500Error'
components:
  schemas:
    EvaluateMultiplePricesBody:
      properties:
        customer_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Customer Id
          description: The ID of the customer to which this evaluation is scoped.
        external_customer_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Customer Id
          description: >-
            The external customer ID of the customer to which this evaluation is
            scoped.
        timeframe_start:
          type: string
          format: date-time
          title: Timeframe Start
          description: The inclusive lower bound for event timestamps
        timeframe_end:
          type: string
          format: date-time
          title: Timeframe End
          description: The exclusive upper bound for event timestamps
        price_evaluations:
          items:
            $ref: '#/components/schemas/PriceEvaluationRequest'
          type: array
          maxItems: 100
          minItems: 1
          title: Price Evaluations
          description: List of prices to evaluate (max 100)
          default: []
      additionalProperties: false
      type: object
      required:
        - timeframe_start
        - timeframe_end
      title: EvaluateMultiplePricesBody
    EvaluateMultiplePriceResource:
      properties:
        data:
          items:
            $ref: '#/components/schemas/EvaluatePriceResourceForMultiplePrice'
          type: array
          title: Data
      type: object
      required:
        - data
      title: EvaluateMultiplePriceResource
    400Error:
      oneOf:
        - $ref: '#/components/schemas/ConstraintViolationError'
        - $ref: '#/components/schemas/DuplicateResourceCreationError'
        - $ref: '#/components/schemas/RequestValidationError'
    401Error:
      $ref: '#/components/schemas/AuthorizationError'
      title: 401Error
    404Error:
      oneOf:
        - $ref: '#/components/schemas/FeatureNotAvailableError'
        - $ref: '#/components/schemas/ResourceNotFoundError'
        - $ref: '#/components/schemas/URLNotFound'
    409Error:
      $ref: '#/components/schemas/IdempotencyRequestMismatch'
      title: 409Error
    413Error:
      oneOf:
        - $ref: '#/components/schemas/RequestTooLargeError'
        - $ref: '#/components/schemas/ResourceTooLargeError'
        - $ref: '#/components/schemas/TooManyResultsError'
    429Error:
      $ref: '#/components/schemas/TooManyRequests'
      title: 429Error
    500Error:
      $ref: '#/components/schemas/ServerError'
      title: 500Error
    PriceEvaluationRequest:
      properties:
        price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Price Id
          description: The ID of a price to evaluate that exists in your Orb account.
        price:
          oneOf:
            - $ref: '#/components/schemas/NewFloatingPrice'
            - type: 'null'
          description: >-
            An inline price definition to evaluate, allowing you to test price
            configurations before adding them to Orb.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: >-
            The external ID of a price to evaluate that exists in your Orb
            account.
        filter:
          oneOf:
            - type: string
            - type: 'null'
          title: Filter
          description: >-
            A boolean [computed
            property](/extensibility/advanced-metrics#computed-properties) used
            to filter the underlying billable metric
          examples:
            - my_numeric_property > 100 AND my_other_property = 'bar'
            - my_property = 'foo'
        grouping_keys:
          items:
            type: string
          type: array
          title: Grouping Keys
          description: >-
            Properties (or [computed
            properties](/extensibility/advanced-metrics#computed-properties))
            used to group the underlying billable metric
          default: []
          examples:
            - - case when my_event_type = 'foo' then true else false end
            - - hour_floor_timestamp_millis(timestamp_millis)
              - my_property
        metric_parameter_overrides:
          oneOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metric Parameter Overrides
          description: >-
            Optional overrides for parameterized billable metric parameters. If
            the metric has parameter definitions and no overrides are provided,
            defaults will be used.
      type: object
      title: PriceEvaluationRequest
    EvaluatePriceResourceForMultiplePrice:
      properties:
        price_groups:
          items:
            $ref: '#/components/schemas/EvaluatePriceGroup'
          type: array
          title: Price Groups
          description: The computed price groups associated with input price.
        currency:
          type: string
          title: Currency
          description: The currency of the price
        price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Price Id
          description: The ID of the price
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: The external ID of the price
        inline_price_index:
          oneOf:
            - type: integer
            - type: 'null'
          title: Inline Price Index
          description: The index of the inline price
      type: object
      required:
        - price_groups
        - currency
      title: EvaluatePriceResourceForMultiplePrice
    ConstraintViolationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-constraint-violation
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ConstraintViolationError
    DuplicateResourceCreationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-duplicate-resource-creation
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: DuplicateResourceCreationError
    RequestValidationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-request-validation-errors
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
        validation_errors:
          items: {}
          type: array
          title: Validation Errors
      type: object
      required:
        - type
        - status
        - validation_errors
      title: RequestValidationError
    AuthorizationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#401-authentication-error
          title: Type
        status:
          type: integer
          enum:
            - 401
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: AuthorizationError
    FeatureNotAvailableError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-feature-not-available
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: FeatureNotAvailableError
    ResourceNotFoundError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-resource-not-found
          title: Type
        status:
          type: integer
          enum:
            - 404
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          type: string
          title: Title
      type: object
      required:
        - type
        - status
        - title
      title: ResourceNotFoundError
    URLNotFound:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-url-not-found
          title: Type
        status:
          type: integer
          enum:
            - 404
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: URLNotFound
    IdempotencyRequestMismatch:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#409-resource-conflict
          title: Type
        status:
          type: integer
          enum:
            - 409
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: IdempotencyRequestMismatch
    RequestTooLargeError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-request-too-large
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: RequestTooLargeError
    ResourceTooLargeError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-resource-too-large
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ResourceTooLargeError
    TooManyResultsError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-too-many-results
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: TooManyResultsError
    TooManyRequests:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#429-too-many-requests
          title: Type
        status:
          type: integer
          enum:
            - 429
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: TooManyRequests
    ServerError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#500-internal-server-error
          title: Type
        status:
          type: integer
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ServerError
    NewFloatingPrice:
      oneOf:
        - $ref: '#/components/schemas/NewFloatingUnitPrice'
        - $ref: '#/components/schemas/NewFloatingTieredPrice'
        - $ref: '#/components/schemas/NewFloatingBulkPrice'
        - $ref: '#/components/schemas/NewFloatingBulkWithFiltersPrice'
        - $ref: '#/components/schemas/NewFloatingPackagePrice'
        - $ref: '#/components/schemas/NewFloatingMatrixPrice'
        - $ref: '#/components/schemas/NewFloatingThresholdTotalAmountPrice'
        - $ref: '#/components/schemas/NewFloatingTieredPackagePrice'
        - $ref: '#/components/schemas/NewFloatingTieredWithMinimumPrice'
        - $ref: '#/components/schemas/NewFloatingGroupedTieredPrice'
        - $ref: '#/components/schemas/NewFloatingTieredPackageWithMinimumPrice'
        - $ref: '#/components/schemas/NewFloatingPackageWithAllocationPrice'
        - $ref: '#/components/schemas/NewFloatingUnitWithPercentPrice'
        - $ref: '#/components/schemas/NewFloatingMatrixWithAllocationPrice'
        - $ref: '#/components/schemas/NewFloatingMatrixWithThresholdDiscountsPrice'
        - $ref: '#/components/schemas/NewFloatingTieredWithProrationPrice'
        - $ref: '#/components/schemas/NewFloatingUnitWithProrationPrice'
        - $ref: '#/components/schemas/NewFloatingGroupedAllocationPrice'
        - $ref: '#/components/schemas/NewFloatingBulkWithProrationPrice'
        - $ref: '#/components/schemas/NewFloatingGroupedWithProratedMinimumPrice'
        - $ref: '#/components/schemas/NewFloatingGroupedWithMeteredMinimumPrice'
        - $ref: '#/components/schemas/NewFloatingGroupedWithMinMaxThresholdsPrice'
        - $ref: '#/components/schemas/NewFloatingMatrixWithDisplayNamePrice'
        - $ref: '#/components/schemas/NewFloatingGroupedTieredPackagePrice'
        - $ref: '#/components/schemas/NewFloatingMaxGroupTieredPackagePrice'
        - $ref: '#/components/schemas/NewFloatingScalableMatrixWithUnitPricingPrice'
        - $ref: '#/components/schemas/NewFloatingScalableMatrixWithTieredPricingPrice'
        - $ref: '#/components/schemas/NewFloatingCumulativeGroupedBulkPrice'
        - $ref: '#/components/schemas/NewFloatingCumulativeGroupedAllocationPrice'
        - $ref: '#/components/schemas/NewFloatingDailyCreditAllowancePrice'
        - $ref: '#/components/schemas/NewFloatingMeteredAllowancePrice'
        - $ref: '#/components/schemas/NewFloatingMinimumCompositePrice'
        - $ref: '#/components/schemas/NewFloatingPercentCompositePrice'
        - $ref: '#/components/schemas/NewFloatingEventOutputPrice'
      description: New floating price request body params.
      discriminator:
        propertyName: model_type
        mapping:
          bulk:
            $ref: '#/components/schemas/NewFloatingBulkPrice'
          bulk_with_filters:
            $ref: '#/components/schemas/NewFloatingBulkWithFiltersPrice'
          bulk_with_proration:
            $ref: '#/components/schemas/NewFloatingBulkWithProrationPrice'
          cumulative_grouped_allocation:
            $ref: '#/components/schemas/NewFloatingCumulativeGroupedAllocationPrice'
          cumulative_grouped_bulk:
            $ref: '#/components/schemas/NewFloatingCumulativeGroupedBulkPrice'
          daily_credit_allowance:
            $ref: '#/components/schemas/NewFloatingDailyCreditAllowancePrice'
          event_output:
            $ref: '#/components/schemas/NewFloatingEventOutputPrice'
          grouped_allocation:
            $ref: '#/components/schemas/NewFloatingGroupedAllocationPrice'
          grouped_tiered:
            $ref: '#/components/schemas/NewFloatingGroupedTieredPrice'
          grouped_tiered_package:
            $ref: '#/components/schemas/NewFloatingGroupedTieredPackagePrice'
          grouped_with_metered_minimum:
            $ref: '#/components/schemas/NewFloatingGroupedWithMeteredMinimumPrice'
          grouped_with_min_max_thresholds:
            $ref: '#/components/schemas/NewFloatingGroupedWithMinMaxThresholdsPrice'
          grouped_with_prorated_minimum:
            $ref: '#/components/schemas/NewFloatingGroupedWithProratedMinimumPrice'
          matrix:
            $ref: '#/components/schemas/NewFloatingMatrixPrice'
          matrix_with_allocation:
            $ref: '#/components/schemas/NewFloatingMatrixWithAllocationPrice'
          matrix_with_display_name:
            $ref: '#/components/schemas/NewFloatingMatrixWithDisplayNamePrice'
          matrix_with_threshold_discounts:
            $ref: '#/components/schemas/NewFloatingMatrixWithThresholdDiscountsPrice'
          max_group_tiered_package:
            $ref: '#/components/schemas/NewFloatingMaxGroupTieredPackagePrice'
          metered_allowance:
            $ref: '#/components/schemas/NewFloatingMeteredAllowancePrice'
          minimum_composite:
            $ref: '#/components/schemas/NewFloatingMinimumCompositePrice'
          package:
            $ref: '#/components/schemas/NewFloatingPackagePrice'
          package_with_allocation:
            $ref: '#/components/schemas/NewFloatingPackageWithAllocationPrice'
          percent:
            $ref: '#/components/schemas/NewFloatingPercentCompositePrice'
          scalable_matrix_with_tiered_pricing:
            $ref: >-
              #/components/schemas/NewFloatingScalableMatrixWithTieredPricingPrice
          scalable_matrix_with_unit_pricing:
            $ref: '#/components/schemas/NewFloatingScalableMatrixWithUnitPricingPrice'
          threshold_total_amount:
            $ref: '#/components/schemas/NewFloatingThresholdTotalAmountPrice'
          tiered:
            $ref: '#/components/schemas/NewFloatingTieredPrice'
          tiered_package:
            $ref: '#/components/schemas/NewFloatingTieredPackagePrice'
          tiered_package_with_minimum:
            $ref: '#/components/schemas/NewFloatingTieredPackageWithMinimumPrice'
          tiered_with_minimum:
            $ref: '#/components/schemas/NewFloatingTieredWithMinimumPrice'
          tiered_with_proration:
            $ref: '#/components/schemas/NewFloatingTieredWithProrationPrice'
          unit:
            $ref: '#/components/schemas/NewFloatingUnitPrice'
          unit_with_percent:
            $ref: '#/components/schemas/NewFloatingUnitWithPercentPrice'
          unit_with_proration:
            $ref: '#/components/schemas/NewFloatingUnitWithProrationPrice'
    EvaluatePriceGroup:
      properties:
        grouping_values:
          items:
            oneOf:
              - type: string
              - type: number
              - type: boolean
          type: array
          title: Grouping Values
          description: The values for the group in the order specified by `grouping_keys`
        quantity:
          type: number
          title: Quantity
          description: The price's usage quantity for the group
        amount:
          type: string
          title: Amount
          description: The price's output for the group
      type: object
      required:
        - grouping_values
        - quantity
        - amount
      title: EvaluatePriceGroup
    NewFloatingUnitPrice:
      properties:
        model_type:
          type: string
          enum:
            - unit
          title: Model Type
          description: The pricing model type
        unit_config:
          $ref: '#/components/schemas/UnitConfig'
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - unit_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingUnitPrice
    NewFloatingTieredPrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered
          title: Model Type
          description: The pricing model type
        tiered_config:
          $ref: '#/components/schemas/TieredConfig'
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - tiered_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingTieredPrice
    NewFloatingBulkPrice:
      properties:
        model_type:
          type: string
          enum:
            - bulk
          title: Model Type
          description: The pricing model type
        bulk_config:
          $ref: '#/components/schemas/BulkConfig'
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - bulk_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingBulkPrice
    NewFloatingBulkWithFiltersPrice:
      properties:
        model_type:
          type: string
          enum:
            - bulk_with_filters
          title: Model Type
          description: The pricing model type
        bulk_with_filters_config:
          $ref: '#/components/schemas/BulkWithFiltersConfig'
          description: Configuration for bulk_with_filters pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - bulk_with_filters_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingBulkWithFiltersPrice
    NewFloatingPackagePrice:
      properties:
        model_type:
          type: string
          enum:
            - package
          title: Model Type
          description: The pricing model type
        package_config:
          $ref: '#/components/schemas/PackageConfig'
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - package_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingPackagePrice
    NewFloatingMatrixPrice:
      properties:
        model_type:
          type: string
          enum:
            - matrix
          title: Model Type
          description: The pricing model type
        matrix_config:
          $ref: '#/components/schemas/MatrixConfig'
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - matrix_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingMatrixPrice
    NewFloatingThresholdTotalAmountPrice:
      properties:
        model_type:
          type: string
          enum:
            - threshold_total_amount
          title: Model Type
          description: The pricing model type
        threshold_total_amount_config:
          $ref: '#/components/schemas/ThresholdTotalAmountConfig'
          description: Configuration for threshold_total_amount pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - threshold_total_amount_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingThresholdTotalAmountPrice
    NewFloatingTieredPackagePrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered_package
          title: Model Type
          description: The pricing model type
        tiered_package_config:
          $ref: '#/components/schemas/TieredPackagePricingConfig'
          description: Configuration for tiered_package pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - tiered_package_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingTieredPackagePrice
    NewFloatingTieredWithMinimumPrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered_with_minimum
          title: Model Type
          description: The pricing model type
        tiered_with_minimum_config:
          $ref: '#/components/schemas/TieredPricingWithMinimumConfig'
          description: Configuration for tiered_with_minimum pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - tiered_with_minimum_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingTieredWithMinimumPrice
    NewFloatingGroupedTieredPrice:
      properties:
        model_type:
          type: string
          enum:
            - grouped_tiered
          title: Model Type
          description: The pricing model type
        grouped_tiered_config:
          $ref: '#/components/schemas/GroupedTieredConfig'
          description: Configuration for grouped_tiered pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - grouped_tiered_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingGroupedTieredPrice
    NewFloatingTieredPackageWithMinimumPrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered_package_with_minimum
          title: Model Type
          description: The pricing model type
        tiered_package_with_minimum_config:
          $ref: '#/components/schemas/TieredPackagePricingWithMinimumConfig'
          description: Configuration for tiered_package_with_minimum pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - tiered_package_with_minimum_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingTieredPackageWithMinimumPrice
    NewFloatingPackageWithAllocationPrice:
      properties:
        model_type:
          type: string
          enum:
            - package_with_allocation
          title: Model Type
          description: The pricing model type
        package_with_allocation_config:
          $ref: '#/components/schemas/PackageWithAllocationConfig'
          description: Configuration for package_with_allocation pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - package_with_allocation_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingPackageWithAllocationPrice
    NewFloatingUnitWithPercentPrice:
      properties:
        model_type:
          type: string
          enum:
            - unit_with_percent
          title: Model Type
          description: The pricing model type
        unit_with_percent_config:
          $ref: '#/components/schemas/UnitWithPercentConfig'
          description: Configuration for unit_with_percent pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string for which this price is billed in.
      additionalProperties: false
      type: object
      required:
        - model_type
        - unit_with_percent_config
        - name
        - item_id
        - cadence
        - currency
      title: NewFloatingUnitWithPercentPrice
    NewFloatingMatrixWithAllocationPrice:
      properties:
        model_type:
          type: string
          enum:
            - matrix_with_allocation
          title: Model Type
          description: The pricing model type
        matrix_with_allocation_config:
          $ref: '#/components/schemas/MatrixWithAllocationConfig'
          description: Configuration for matrix_with_allocation pricing
        metadata:
          oneOf:
            - additionalProperties:
                oneOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            User-specified key/value pairs for the resource. Individual keys can
            be removed by setting the value to `null`, and the entire metadata
            mapping can be cleared by setting `metadata` to `null`.
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
          description: An alias for the price.
        name:
          type: string
          title: Name
          description: The name of the price.
          examples:
            - Annual fee
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewDimensionalPriceConfiguration'
            - type: 'null'
          description: 'For dimensional price: specifies a price group and dimension values'
        license_type_id:
          oneOf:
            - type: string
            - type: 'null'
          title: License Type Id
          description: The ID of the license type to associate with this price.
        billable_metric_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Billable Metric Id
          description: >-
            The id of the billable metric for the price. Only needed if the
            price is usage-based.
        item_id:
          type: string
          title: Item Id
          description: The id of the item the price will be associated with.
        billed_in_advance:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Billed In Advance
          description: >-
            If the Price represents a fixed cost, the price will be billed
            in-advance if this is true, and in-arrears if this is false.
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
          description: >-
            If the Price represents a fixed cost, this represents the quantity
            of units applied.
        invoice_grouping_key:
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Invoice Grouping Key
          description: The property used to group this price on an invoice
        cadence:
          type: string
          enum:
            - annual
            - semi_annual
            - monthly
            - quarterly
            - one_time
            - custom
          title: Cadence
          description: The cadence to bill for this price on.
        billing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            For custom cadence: specifies the duration of the billing period in
            days or months.
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/NewBillingCycleConfiguration'
            - type: 'null'
          description: >-
            Within each billing cycle, specifies the cadence at which invoices
            are produced. If unspecified, a single invoice is produced per
            billing cycle.
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
          description: >-
            The per unit conversion rate of the price currency to the invoicing
            currency.
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
          description: >-
            The configuration for the rate of the price currency to the
            invoicing currency.
[...]
